Subject: Make format-patch produce UTF-8 `From:' header (was Re: git am should recognize >From)

From: Štěpán Němec <[email-masked]>
Date: Sun, 19 Sep 2010 20:38:50 +0200

Jonathan Nieder <[email-masked]> writes:

> Maybe format-patch could provide another mode to produce patches that
> do not include unnecessary headers (in particular, leaving out the
> difficult "From " line and using UTF-8 instead of quoted-printable for
> the "From: " line).

FWIW, the quoted-printable `From:' encoding has always annoyed me -- I
replace it manually with my name & address in UTF-8 every time I send
out a patch. What is the reason format-patch does that (and if there is
a reason not to change the default, could an option to disable it be
provided)?

Štěpán